<?php
    error_reporting(0);
    header("Content-Type: application/json; charset=utf-8");
    require('auth.php');
    if(!loggedIn($error)) {
	echo '{"error":"not logged in","reason":"'.$error.'"}';
	exit;
    }
    $socket = socket_create(AF_UNIX, SOCK_STREAM, 0);
    if (!$socket) {
	echo '{"error":"Unable to create UNIX socket: ' . socket_strerror(socket_last_error()) . '"}';
	exit;
    }
    if(!socket_connect($socket, '/var/run/swd.sock')) {
	echo '{"error": "Unable to connect: ' . socket_strerror(socket_last_error()) . '"}';
	exit;
    }
    if(array_key_exists('json', $_REQUEST)) {
	$_REQUEST = json_decode($_REQUEST['json'], true);
    }
    $_REQUEST['_USERNAME'] = $_USERNAME;
    $_REQUEST['_REMOTEADDR'] = $_REMOTEADDR;
    $_REQUEST['_PERMISSIONS'] = $_PERMISSIONS;
    if(!socket_write($socket, json_encode($_REQUEST, JSON_UNESCAPED_UNICODE))) {
	echo '{"error":"Unable to write: ' . socket_strerror(socket_last_error()) . '"}';
	exit;
    }
    $res = socket_read($socket, 1000000);
    echo $res;
?>
