<?php
function dbFile() {
    return '/usr/share/sw/logins.db';
}

function setAuth($login, $password) {
    $nonce = rand();
    $time = time();
    $s = $login.$password.$time.$nonce;
    $hash = md5($s);
    setCookie('login', $login, 0, '/');
    setCookie('time', $time, 0, '/');
    setCookie('nonce', $nonce, 0, '/');
    setCookie('password', $hash, 0, '/');
}

function clearAuth() {
    setCookie('login', '', 1, '/');
    setCookie('nonce', '', 1, '/');
    setCookie('time', '', 1, '/');
    setCookie('password', '', 1, '/');
    return false;
}

function loggedIn(&$error) {
    if(isset($_COOKIE['login']) && isset($_COOKIE['nonce']) && isset($_COOKIE['time']) && isset($_COOKIE['password'])) {
	try {
	    if(time() < $_COOKIE['time'] or time() - $_COOKIE['time'] > 86400) {
		throw new Exception("stale nonce");
	    }

	    $db = new SQLite3(dbFile());
	    $db->busyTimeout(2000);

	    $login = $db->escapeString($_COOKIE['login']);
	    $row = @$db->querySingle("select * from users where login='$login'", true);
	    
	    if(!$row or count($row) == 0) {
		throw new Exception("invalid auth data");
	    }
	    $db->close();

	    $s = $_COOKIE['login'].$row['password'].$_COOKIE['time'].$_COOKIE['nonce'];
	    $hash = md5($s);
	    if($hash == $_COOKIE['password']) {
		setAuth($_COOKIE['login'], $row['password']);
		global $_USERNAME, $_REMOTEADDR, $_PERMISSIONS;
		$_USERNAME = $_COOKIE['login'];
		$_REMOTEADDR = $_SERVER["REMOTE_ADDR"];
		$_PERMISSIONS = $row['permissions'] + 0;
		return true;
	    }
	    throw new Exception("invalid auth data");
	} catch(Exception $e) {
	    $error = "exception: ".$e->getMessage();
	    return clearAuth();
	}
    }
    $error = "not logged in";
    return false;
}
?>
