<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="stylesheet" type="text/css" href="text.css">
    <title>opkg update result</title>
    <style>
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
    </style>
</head>
<body>
<?php
flush();
ob_implicit_flush(1);

function callback($func) {
    echo '<script language="javascript" type="text/javascript">'."\n<!--\n";
    echo "window.top.window.$func;\n";
    echo "-->\n</script>\n";
}

    error_reporting(0);
    require('auth.php');
    $res = 1;
    $error = "";
    $out = "";
    $ipk = $_FILES['ipk']['tmp_name'];
    $name = $_FILES['ipk']['name'];
    $sig = $_FILES['sig']['tmp_name'];
    if(loggedIn($error)) {
	callback("ipkFileLoaded()");
	try {
	    $rc = 0;
	    if(is_file('/etc/opkg/trusted.gpg') && is_file('/usr/bin/gpg')) {
		// Проверяем подпись
		$out = array();
		exec("gpg --verify '$sig' '$ipk' 2>&1", $out, $rc);
		$out = json_encode(implode("\n", $out));
	    }
	    if($rc === 0) {
		callback("ipkVerified()");
		$newfile = "$ipk.ipk";
		if(@move_uploaded_file($ipk, $newfile)) {
		    openlog("uploadConfig.php", 0, LOG_DAEMON);
		    syslog(LOG_INFO, "installing $name by $_USERNAME from $_REMOTEADDR");
		    closelog();
		    $out = array();
		    exec("opkg install '$newfile' 2>&1", $out, $rc);
		    unlink($newfile);
		    $out = json_encode(implode("\n", $out));
		    $res = $rc;
		    if($rc !== 0) {
			$error = "pkg install error";
		    }
		} else {
		    $error = "error renaming $ipk to $newfile";
		}
	    } else {
	        $error = "signature verify error";
	    }
	} catch(Exception $e) {
	    $error = "exception: ".$e->getMessage();
	}
    } else {
	$error = "not logged in";
    }
    callback("ipkInstallFinished($res, '$error', $out)");
?>
</body>
</html>
