<?php
    error_reporting(0);
    header("Content-Type: application/json; charset=utf-8");
    require('auth.php');
    if(isset($_REQUEST['json'])) {
	$_REQUEST = json_decode(stripslashes($_REQUEST['json']), true);
    }

    if(isset($_REQUEST['cmd'])) {
	if($_REQUEST['cmd'] == 'login') {
	    # Проверка введенного пользователем имени и пароля
	    if(isset($_REQUEST['login']) && isset($_REQUEST['password'])) {
		try {
		    $db = new SQLite3(dbFile());
		    $db->busyTimeout(2000);
		    $login = $db->escapeString($_REQUEST['login']);
		    $password = $db->escapeString($_REQUEST['password']);
		    $result = $db->querySingle("SELECT * FROM users WHERE login='$login' and password='$password'", true);
		    if(!$result and $db->lastErrorMsg() == 'no such table: users') {
			$db->exec("CREATE TABLE users (login varchar(100) not null,password varchar(255) not null, comment varchar(255) not null, permissions INTEGER not null default 2147483647, PRIMARY KEY (`login`))") and
			$db->exec("PRAGMA user_version = 1") and
			$db->exec("INSERT INTO users VALUES('admin','','Суперпользователь',2147483647)");
			$result = $db->querySingle("SELECT * FROM users WHERE login='$login' and password='$password'", true);
		    }
		    if(!$result) {
			throw new Exception("неверное имя или пароль");
		    }
		    $db->close();
		    setAuth($_REQUEST['login'], $_REQUEST['password']);
		    openlog("login.php", 0, LOG_DAEMON);
		    syslog(LOG_INFO, "user $login authenticated");
		    closelog();
		    echo '{}';
		} catch(Exception $e) {
		    echo '{"cmd":"login","error2":"'.$e->getMessage().'"}';
		}
	    } else {
		echo '{"cmd":"login","error":"no login/password provided"}';
	    }
	} else if($_REQUEST['cmd'] == 'chpass') {
	    # Смена пароля для текущего пользователя
	    if(!loggedIn($error)) {
		echo '{"error":"not logged in","reason":"'.$error.'"}';
		exit;
	    }
	    
	    if(isset($_REQUEST['current']) && isset($_REQUEST['new'])) {
		try {
		    $db = new SQLite3(dbFile());
		    $db->busyTimeout(2000);
		    $login = $db->escapeString($_COOKIE['login']);
		    $current = $db->escapeString($_REQUEST['current']);
		    $new = $db->escapeString($_REQUEST['new']);
		    $result = $db->querySingle("SELECT * FROM users WHERE login='$login' and password='$current'", true);
		    if(!$result) {
			throw new Exception("неверный текущий пароль");
		    }
		    if(!$db->exec("UPDATE users SET password='$new' WHERE login='$login'"))
			throw new Exception($db->lastErrorMsg());
		    $db->close();
		    setAuth($_COOKIE['login'], $_REQUEST['new']);
		    echo '{}';
		} catch(Exception $e) {
		    echo '{"cmd":"chpass","error":"'.$e->getMessage().'"}';
		}
	    } else {
		echo '{"cmd":"chpass","error":"no current/new fields provided"}';
	    }
	} else if($_REQUEST['cmd'] == 'chperm') {
	    # Изменение прав доступа для пользователя
	    if(!loggedIn($error)) {
		echo '{"error":"not logged in","reason":"'.$error.'"}';
		exit;
	    }
	    
	    try {
		if($_COOKIE['login'] != 'admin')
		    throw new Exception("access denied");

		if(!isset($_REQUEST['login']) || !isset($_REQUEST['permissions']))
		    throw new Exception("no login/permissions fields provided");

		$db = new SQLite3(dbFile());
		$db->busyTimeout(2000);
		$login = $db->escapeString($_REQUEST['login']);
		$permissions = $db->escapeString($_REQUEST['permissions']);
		if(!$db->exec("UPDATE users SET permissions=$permissions WHERE login='$login'"))
		    throw new Exception($db->lastErrorMsg());
		$db->close();
		echo '{}';
	    } catch(Exception $e) {
		echo '{"cmd":"chperm","error":"'.$e->getMessage().'"}';
	    }
	} else if($_REQUEST['cmd'] == 'userlist') {
	    if(!loggedIn($error)) {
		echo '{"error":"not logged in","reason":"'.$error.'"}';
		exit;
	    }
	    try {
		$list = array();
		$db = new SQLite3(dbFile());
		$db->busyTimeout(2000);
		$result = $db->query("SELECT * FROM users");
		while($row = $result->fetchArray(SQLITE3_ASSOC)) {
		    unset($row['password']);
		    array_push($list, json_encode($row));
		}
		$db->close();
		echo '{"list":['.implode(',', $list).']}';
		exit;
	    } catch(Exception $e) {
		echo '{"cmd":"userlist","error":"'.$e->getMessage().'"}';
	    }
	} else if($_REQUEST['cmd'] == 'adduser') {
	    if(!loggedIn($error)) {
		echo '{"error":"not logged in","reason":"'.$error.'"}';
		exit;
	    }
	    try {
		if($_COOKIE['login'] != 'admin')
		    throw new Exception("access denied");

		if(!isset($_REQUEST['login']) || !isset($_REQUEST['password']))
		    throw new Exception("no login/password fields provided");

		$db = new SQLite3(dbFile());
		$db->busyTimeout(2000);
		$login = $db->escapeString($_REQUEST['login']);
		$password = $db->escapeString($_REQUEST['password']);
		$permissions = $db->escapeString($_REQUEST['permissions']);
		$comment = '';
		if(isset($_REQUEST['comment']))
		    $comment = $db->escapeString($_REQUEST['comment']);
		if(!$db->exec("INSERT INTO users VALUES('$login','$password','$comment',$permissions)"))
		    throw new Exception($db->lastErrorMsg());
		$db->close();
		echo '{"cmd":"adduser"}';
	    } catch(Exception $e) {
		echo '{"cmd":"adduser","error":"'.$e->getMessage().'"}';
	    }
	} else if($_REQUEST['cmd'] == 'deluser') {
	    if(!loggedIn($error)) {
		echo '{"error":"not logged in","reason":"'.$error.'"}';
		exit;
	    }
	    try {
		if($_COOKIE['login'] != 'admin' || $_REQUEST['login'] == 'admin')
		    throw new Exception("access denied");

		if(!isset($_REQUEST['login']))
		    throw new Exception("no login fields provided");

		$db = new SQLite3(dbFile());
		$db->busyTimeout(2000);
		$login = $db->escapeString($_REQUEST['login']);
		if(!$db->exec("DELETE FROM users WHERE login='$login'"))
		    throw new Exception($db->lastErrorMsg());
		$db->close();
		echo '{}';
	    } catch(Exception $e) {
		echo '{"cmd":"deluser","error":"'.$e->getMessage().'"}';
	    }
	} else {
	    echo '{"cmd":"'.$_REQUEST['cmd'].'","error":"invalid request"}';
	}
    } else {
	echo '{"cmd":"","error":"no cmd field"}';
    }
?>
