<?php
header("Content-type: text/html; charset=utf-8");
error_reporting(0);
require('auth.php');
if(loggedIn($error)) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="stylesheet" type="text/css" href="text.css">
    <title>opkg update result</title>
    <style>
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
                                                                                                     
    </style>
</head>
<body>
<?php

function myexec($cmd) {
    $pd = popen("script -q -c '$cmd' /dev/null", "r");
    while(($line = fgets($pd, 2048))) {
	if(preg_match('/opkg_conf_parse_file: Duplicate/', $line) !== 1)
	    echo htmlspecialchars($line);
    }
    return pclose($pd);
}

flush();
ob_implicit_flush(1);

$OP = $_GET['op'];
$PKGS = $_GET['pkgs'];
$REPO = $_GET['repo'];
$EXTRAOPT = '';

if($REPO and $REPO != '') {
    $tempfile=tempnam(sys_get_temp_dir(),'php');
    $etcdir = '/etc/opkg';
    if($dh = opendir($etcdir)) {
	while(($file = readdir($dh)) !== false) {
	    if(is_file("$etcdir/$file") and preg_match('/\\.conf$/', $file) === 1) {
		exec("sed 's|http://adc-line.ru/feeds/sw-01/ipk|$REPO|' $etcdir/$file >>$tempfile");
	    }
	}
	closedir($dh);
    }
    $EXTRAOPT = "-f $tempfile";
}

switch($OP) {
case "update":
    echo "<pre>\n";
    myexec("opkg $EXTRAOPT update </dev/null");
    echo "</pre>\n";
    if($REPO and $REPO != '') {
	unlink($tempfile);
    }
    break;
case "list_upgradable":
    $pd = popen("script -q -c 'opkg list_upgradable </dev/null' /dev/null", "r");
    while(($line = fgets($pd, 2048))) {
	$line = trim($line);
	$arr = explode(" - ", $line, 3);
	$name = $arr[0];
	$current = $arr[1];
	$new = $arr[2];
	echo "<script language=\"javascript\" type=\"text/javascript\">\n<!--\nwindow.top.window.addToListUpgradable('$name', '$current', '$new');\n-->\n</script>\n";
    }
    $ret = pclose($pd);
    break;
case "upgrade":
    openlog("update.php", 0, LOG_DAEMON);
    syslog(LOG_INFO, "executing 'opkg upgrade' by $_USERNAME from $_REMOTEADDR");
    closelog();
    echo "<pre>\n";
    myexec("opkg $EXTRAOPT upgrade $PKGS </dev/null");
    echo "</pre>\n";
    break;
}

?>

<script language="javascript" type="text/javascript">
<!--
window.top.window.stopUpdate();
-->
</script>
</body>
</html>
<?php
} else {
?>
<html>
    <head>
	<title>Access denied</title>
    </head>
    <body>
	<h2>Error: not logged in</h2>
    </body>
</html>
<?php
}
?>
